import java.io.File;

public class Class549 {

   public static Interface55 method11781(RS2Buffer var0) {
      Class560 var1 = Class9.method666(var0.readUnsignedByte(-700559597), (byte)4);
      return (Interface55)(Class560.aClass560_7480 == var1?Class221_Sub1.method13236(var0, -1755401852):(var1 == Class560.aClass560_7478?Class472.method7914(var0, 1090501977):(var1 == Class560.aClass560_7479?Class255.method4616(var0, (byte)23):null)));
   }

   public static Interface55 method11782(RS2Buffer var0) {
      Class560 var1 = Class9.method666(var0.readUnsignedByte(-700559597), (byte)4);
      return (Interface55)(Class560.aClass560_7480 == var1?Class221_Sub1.method13236(var0, -1249787721):(var1 == Class560.aClass560_7478?Class472.method7914(var0, 1469208667):(var1 == Class560.aClass560_7479?Class255.method4616(var0, (byte)113):null)));
   }

   Class549() throws Throwable {
      throw new Error();
   }

   static final void method11783(Class508 var0, byte var1) {
      String var2 = (String)var0.anObjectArray6004[(var0.anInt6005 -= -46848683) * 639741949];
      Class251.method4492(var2, (byte)-16);
   }

   static final void method11784(Class508 var0, int var1) {
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = 1003550533 * var0.aClass64_5997.anInt613;
   }

   static final void method11785(Class508 var0, int var1) {
      Class117.method2305(0, 0, 516053361 * client.aClass124_7857.anInt1368, 437250785 * client.aClass124_7857.anInt1383, false, (byte)38);
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = client.anInt7867 * -497431039;
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = client.anInt7722 * 359856159;
   }

   static final void method11786(Class508 var0, byte var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class124 var3 = Class97.method1903(var2, 1030758964);
      Class121 var4 = Class18.aClass121Array188[var2 >> 16];
      Class299.method5375(var3, var4, var0, -543666943);
   }

   public static Class214 method11787(int var0, int var1, int var2, int var3, int var4, int var5, byte var6) {
      if(Class500.aClass225_Sub6_5953.aClass463_Sub9_8499.method12871(-2068273189) != 0 && 0 != var1 && Class226.anInt2612 * 49139505 < 50 && -1 != var0) {
         Class214 var7 = new Class214((byte)1, var0, var1, var2, var3, var4, var5, (Class515_Sub1)null);
         Class226.aClass214Array2622[(Class226.anInt2612 += -2086983215) * 49139505 - 1] = var7;
         return var7;
      } else {
         return null;
      }
   }

   public static File method11788(byte var0) {
      return Class97.aFile984;
   }

   static final void method11789(Class508 var0, int var1) {
      Class505 var10000;
      if(var0.aBool6014) {
         if(var1 >= -181409187) {
            ;
         }

         var10000 = var0.aClass505_6011;
      } else {
         var10000 = var0.aClass505_6010;
      }

      Class505 var2 = var10000;
      Class124 var3 = var2.aClass124_5977;
      Class121 var4 = var2.aClass121_5978;
      Class49.method1189(var3, var4, var0, 1304051454);
   }

   static void method11790(int var0, int var1, int var2) {
      Class225_Sub14_Sub2 var3 = Class49.method1193(5, (long)var0);
      var3.method15502((byte)-119);
      var3.anInt9990 = var1 * -1655449005;
   }

   static final void method11791(Class124 var0, Class508 var1, short var2) {
      int var3 = var1.anIntArray6027[(var1.anInt6003 -= 98312473) * -937710807];
      int var4 = var1.anIntArray6027[(var1.anInt6003 -= 98312473) * -937710807] - 1;
      int var5 = var4;
      if(-1001045855 * var0.anInt1410 != 6 && 2 != -1001045855 * var0.anInt1410) {
         throw new RuntimeException("");
      } else {
         Class411 var6 = Class40.aClass388_439.method6647(-1781327493 * var0.anInt1411, 1404707182);
         if(var0.aClass396_1535 == null) {
            var0.aClass396_1535 = new Class396(var6, -1001045855 * var0.anInt1410 == 6);
         }

         var0.aClass396_1535.aLong4883 = Class548.method11777(584456697) * 7467713779253192983L;
         if(null != var6.aByteArray5040) {
            if(var4 < 0 || var4 >= var6.aByteArray5040.length) {
               throw new RuntimeException("");
            }

            var5 = var6.aByteArray5040[var4];
         }

         if(null != var6.aShortArray5036 && var5 >= 0 && var5 < var6.aShortArray5036.length) {
            var0.aClass396_1535.aShortArray4882[var5] = (short)var3;
            Class460.method7767(var0, 1046772128);
         } else {
            throw new RuntimeException("");
         }
      }
   }

   static short[][] method11792(float[][] var0, short[][] var1, int var2) {
      for(int var3 = 0; var3 < var0.length; ++var3) {
         for(int var4 = 0; var4 < var1[var3].length; ++var4) {
            var1[var3][var4] = (short)((int)(var0[var3][var4] * 16383.0F));
         }
      }

      return var1;
   }
}
